<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/9
 * Time: 7:39 PM.
 */

namespace App\Http\Controllers\V1;

use App\Http\Controllers\Controller;
use App\Repositories\AreaRepository;

/**
 * 运营区域模块
 * Class AreaController
 * @package App\Http\Controllers\V1
 */
class AreaController extends Controller
{
    protected $areaRepository;

    public function __construct(AreaRepository $areaRepository)
    {
        $this->areaRepository = $areaRepository;
    }

    /**
     * 获取全部区域
     * @return mixed
     * User: Mead
     */
    public function index()
    {
        try {
            $areas = $this->areaRepository->all();

            return $this->response->array($areas);
        } catch (\Exception $exception) {
            return $this->errorNoValidation($exception->getMessage());
        }
    }


}
