<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/9/27
 * Time: 11:57 AM
 */

namespace App\Http\Controllers\V1;


use App\Repositories\BikeRepository;
use Dingo\Api\Http\Request;

/**
 * 蓝牙操作模块
 * Class BluController
 * @package App\Http\Controllers\V1
 */
class BluController extends BaseController
{
    /**
     * 获取蓝牙秘钥
     * @param Request $request
     * @param BikeRepository $bikeRepository
     * User: Mead
     */
    public function getKey(Request $request, BikeRepository $bikeRepository)
    {
        try {
            $box_no = $request->get('box_no');
            $key = $bikeRepository->byBoxNoGetKey($box_no);
            return $this->response->array([
                'key' => $key
            ]);
        } catch (\Exception $exception) {
            return $this->errorNoValidation($exception->getMessage());
        }
    }
}