<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/19
 * Time: 2:11 PM
 */

namespace App\Http\Controllers\V1;

use App\Http\Requests\QuestionRequest;
use App\Models\Question;

/**
 * 问题反馈模块
 * Class QuestionController
 * @package App\Http\Controllers\V1
 */
class QuestionController extends BaseController
{
    /**
     * 问题反馈
     * @param QuestionRequest $request
     * User: Mead
     */
    public function store(QuestionRequest $request)
    {
        try {
            $re = Question::create([
                'user_id' => $this->user->id,
                'area_id' => $request->get('area_id'),
                'question' => $request->get('question')
            ]);
            return $this->response->array([
                'is_up_question' => !!$re
            ]);
        } catch (\Exception $exception) {
            return $this->errorNoValidation($exception->getMessage());
        }
    }
}