<?php

namespace App\Jobs;

use App\Models\CardRidingOrder;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class CloseCardRidingOrderJob extends Job
{
    protected $model = '';
    public $tries = 5;
    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct(Model $model, Carbon $delay)
    {
        $this->model = $model;
        // 设置延迟的时间，delay() 方法的参数代表多少秒之后执行
        $this->delay($delay);
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        if ((int)$this->model->pay_status === CardRidingOrder::PAY_STATUS_OK) {
            return;
        }

        $this->model->delete();
    }
}
