<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Area extends Model
{
    protected $guarded = [];

    const REDIS_AREAS_LOCATION_TAG = 'areas_locations';
    const REDIS_AREAS_TAG = 'areas';

    const STATUS_OK = 1;
    const STATUS_PAUSE = 0;
    public static $statusMaps = [
        self::STATUS_OK => '正常',
        self::STATUS_PAUSE => '暂停',
    ];

    public function setting()
    {
        return $this->hasOne(AreaSetting::class);
    }

    public function getAreaFenceAttribute($value)
    {
        return js2php($value);
    }

    public function getAreaCentreAttribute($value)
    {
        return js2php($value);
    }

    public function scopeActive($query)
    {
        return $query->where('status', self::STATUS_OK);
    }
}
