<?php

namespace App\Models;

use Illuminate\Auth\Authenticatable;
use Laravel\Lumen\Auth\Authorizable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Contracts\Auth\Authenticatable as AuthenticatableContract;
use Illuminate\Contracts\Auth\Access\Authorizable as AuthorizableContract;
use Tymon\JWTAuth\Contracts\JWTSubject;

class Auth extends Model
{


    protected $table = 'auth';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [
        'password',
    ];


    const TYPE_WEAPP = 0;
    public static $typeMaps = [
        self::TYPE_WEAPP => '微信小程序授权登录'
    ];

    // 验证状态
    const VERIFIED_OK = 1;
    const VERIFIED_NO = 0;
    public static $verifiedMaps = [
        self::VERIFIED_OK => '已验证',
        self::VERIFIED_NO => '未验证'
    ];

}
