<?php


namespace App\Transformers;


use App\Models\Announcement;
use Carbon\Carbon;
use League\Fractal\TransformerAbstract;

class AnnouncementTransformer extends TransformerAbstract
{
    public function transform(Announcement $model)
    {
        return [
            'id' => $model->id,
            'title' => $model->title,
            'description' => $model->description,
            'body' => $model->body,
            'expiration_time' => $model->expiration_time,
            'updated_at' => Carbon::make($model->updated_at)->format('Y-m-d H:i:s'),
            'created_at' => Carbon::make($model->created_at)->format('Y-m-d H:i:s'),
        ];
    }
}
