<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 2:44 PM
 */

namespace App\Transformers;

use App\Models\AreaSetting;
use League\Fractal\TransformerAbstract;

class AreaSettingTransformer extends TransformerAbstract
{

    public function transform(AreaSetting $model)
    {
        $start = true;
        if (bcdiv($model->per_minute, $model->per_money, 2) === bcdiv($model->starting_price_time, $model->starting_price, 2)) $start = false;

        return [
            'per_minute' => $model->per_minute,
            'per_money' => $model->per_money,
            'min_dispatching_fee' => $model->min_dispatching_fee,
            'max_dispatching_fee' => $model->max_dispatching_fee,
            'power_lower' => $model->power_lower,
            'is_deposit' => $model->is_deposit,
            'deposit' => $model->deposit,
            'day_rent_img' => $model->day_rent_img,
            'is_open_day_rent' => $model->is_open_day_rent,
            'day_rent_money' => $model->day_rent_money,
            'day_rent_hours' => $model->day_rent_hours,
            'per_hours_day_rent_timeout_money' => $model->per_hours_day_rent_timeout_money,
            'day_rent_capping_money' => $model->day_rent_capping_money,
            'min_limit_km' => $model->min_limit_km,
            'over_limit_per_km' => $model->over_limit_per_km,
            'over_limit_per_km_money' => $model->over_limit_per_km_money,
            'is_whole_area_huanche' => $model->is_whole_area_huanche,
            'close_bike_time' => AreaSetting::CLOSE_BIKE_TIME,
            'start' => $start,
            'starting_price_time' => $model->starting_price_time,
            'starting_price' => $model->starting_price,
            'is_return_deposit_ad_video' => $model->is_return_deposit_ad_video,
        ];
    }

}
