<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 2:44 PM
 */

namespace App\Transformers;

use App\Models\Order;
use League\Fractal\TransformerAbstract;

class OrderRideStatusTransformer extends TransformerAbstract
{

    public function transform(Order $model)
    {
        return [
            'no' => $model->no,
            'bike_no' => $model->bike_no,
            'start_use_bike_time' => $model->start_use_bike_time->timestamp,
            'end_use_bike_time' => $model->end_use_bike_time,
            'use_bike_time_length' => format_minutes($model->use_bike_time_length),
            'pause_bike_time_length' => format_minutes($model->pause_bike_time_length),
            'use_bike_distance_length' => format_mileage($model->use_bike_distance_length),
            'time_money' => $model->time_money,
            'distance_money' => $model->distance_money,
            'pause_money' => $model->pause_money,
            'dispatch_money' => $model->dispatch_money,
            'preferential_money' => $model->preferential_money,
            'total_money' => $model->total_money,
            'pay_status' => $model->pay_status,
            'status' => $model->status,
            'bike' => $this->bike($model)
        ];
    }

    public function bike(Order $order)
    {
        return $order->bike->only(['battery_power']);
    }

}
