<?php

/**
 *
 *
 * @category   xxx
 * @package    PSR
 * @subpackage Documentation\API
 * @author     xxx  <xxx@xxx.com>
 * @license    GPL https://xxx.com
 * @link       https://xxx.com
 * @ctime:     2020/5/19 9:42
 */


namespace App\Transformers;


use App\Models\PunishmentOrder;
use Carbon\Carbon;
use League\Fractal\TransformerAbstract;

class PunishmentOrderTransformer extends TransformerAbstract
{
    public function transform(PunishmentOrder $model){
        return [
            'no'         => $model->no,
            'name'       => $model->name,
            'detail'     => $model->detail,
            'pay_status' => $model->pay_status,
            'pay_status_name' => PunishmentOrder::$payStatusMaps[$model->pay_status],
            'pay_type_name' => PunishmentOrder::$payTypeMaps[$model->pay_type],
            'pay_money'  => $model->pay_money,
            'pay_time'   => $model->pay_time,
            'pay_type'   => $model->pay_type,
            'order_no'   => $model->order_no,
            'bike_no'    => $model->bikes->bike_no,
            'created_at' => Carbon::parse($model->created_at)->format('Y-m-d H:i:s'),
            'occurrence_time' => Carbon::parse($model->occurrence_time)->format('Y-m-d H:i:s'),
        ];
    }
}
