<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRechangeOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('rechange_orders', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->string('order_no', 30)->comment('订单号');
            $table->bigInteger('user_id')->default(0)->comment('用户id');
            $table->decimal('rechange_money', 7, 2)->default(0.00)->comment('充值金额');
            $table->decimal('preferential_money', 7, 2)->default(0.00)->comment('优惠金额');
            $table->decimal('total_money', 7, 2)->default(0.00)->comment('要支付金额');
            $table->decimal('pay_money', 7, 2)->default(0.00)->comment('支付金额');
            $table->tinyInteger('pay_status')->default(0)->comment('支付状态（0：微支付：1：已支付）');
            $table->tinyInteger('pay_type')->default(0)->comment('支付方式(0:微信支付)');
            $table->tinyInteger('status')->default(1);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('rechange_orders');
    }
}
