<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBikeTroublesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bike_troubles', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->string('trouble_no', 30)->comment('故障号');
            $table->bigInteger('user_id')->default(0)->comment('用户id');
            $table->bigInteger('bike_id')->default(0)->comment('车id');
            $table->bigInteger('area_id')->default(0)->comment('区域id');
            $table->string('trouble_part', 30)->comment('故障部位');
            $table->string('trouble_grade', 10)->comment('问题等级');
            $table->tinyInteger('up_trouble_type')->default(0)->comment('上报问题类型');

            $table->tinyInteger('fix_status')->default(0)->comment('维修状态');
            $table->bigInteger('fix_worker_id')->default(0)->comment('维修人员');
            $table->timestamp('fix_time')->nullable()->comment('维修时间');
            $table->string('fix_imgs')->nullable()->comment('维修现在图片');
            $table->string('fix_remark')->nullable()->comment('维修备注');

            $table->tinyInteger('status')->default(1);


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bike_troubles');
    }
}
