<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAreasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('areas', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->string('name', 20)->comment('区域名');
            $table->json('area_fence')->nullable()->comment('电子围栏');
            $table->json('area_centre')->nullable()->comment('区域中心点坐标');
            $table->string('customer_service_time')->nullable()->comment('客服服务时间');
            $table->string('customer_service_phone')->nullable()->comment('客户服务号码');
            $table->tinyInteger('status')->default(1);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('areas');
    }
}
