<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDepositLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('deposit_logs', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->bigInteger('user_id')->default(0)->comment('用户id');
            $table->decimal('money', 15, 2)->default(0.00)->comment('押金');
            $table->tinyInteger('type')->default(0)->comment('押金类型');
            $table->bigInteger('area_id')->default(0)->comment('区域id');
            $table->tinyInteger('pay_status')->default(0)->comment('支付状态');
            $table->decimal('pay_money', 15, 2)->default(0.00)->comment('支付金额');
            $table->tinyInteger('pay_type')->default(0)->comment('支付方式(0:未支付；1：已支付)');
            $table->tinyInteger('is_refund')->default(0)->comment('是否退款');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('deposit_logs');
    }
}
