<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRefundLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('refund_logs', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->bigInteger('user_id')->default(0)->comment('用户id');
            $table->bigInteger('deposit_id')->default(0)->comment('押金记录id');
            $table->decimal('money', 15, 2)->default(0.00)->comment('押金');
            $table->string('type', 20)->comment('申请退款类型');
            $table->string('apply_reason')->nullable()->comment('申请原因');
            $table->string('refuse_reason')->nullable()->comment('决绝理由');
            $table->string('remark')->nullable()->comment('备注');
            $table->tinyInteger('is_check_status')->default(0)->comment('审核状态');
            $table->bigInteger('admin_id')->default(0)->comment('管理员id');
            $table->bigInteger('area_id')->default(0)->comment('区域id');
            $table->tinyInteger('pay_status')->default(0)->comment('支付状态');
            $table->decimal('pay_money', 15, 2)->default(0.00)->comment('支付金额');
            $table->tinyInteger('pay_type')->default(0)->comment('支付方式(0:未支付；1：已支付)');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('refund_logs');
    }
}
