<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAdminUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('admin_users', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->string('job_number', 20)->comment('工号');
            $table->string('name', 100)->comment('姓名');
            $table->string('account', '20')->comment('账户');
            $table->char('phone', 12)->comment('手机号');
            $table->char('password', 100)->comment('密码');
            $table->string('remember_token', 100)->nullable();
            $table->string('type', 10)->nullable()->comment('类型');
            $table->bigInteger('pid')->default(0)->comment('父级id');
            $table->string('area_remark')->nullable()->comment('区域描述');
            $table->tinyInteger('status')->default(1);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('admin_users');
    }
}
