<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAdminOperationLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('admin_operation_logs', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->bigInteger('admin_id')->default(0)->comment('管理员id');
            $table->string('path')->nullable()->comment('访问地址');
            $table->string('method', 10)->nullable()->comment('访问类型');
            $table->string('ip', 15)->nullable()->comment('访问ip');
            $table->text('input')->nullable()->comment('数据');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('admin_operation_logs');
    }
}
