<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAdminPermissionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('admin_permissions', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->bigInteger('pid')->default(0)->comment('父id');
            $table->string('name')->comment('权限名');
            $table->string('description')->nullable()->comment('描述');
            $table->tinyInteger('grade')->default(0)->comment('层级');
            $table->string('menu_url')->comment('菜单地址');
            $table->string('http_method', 10)->comment('菜单请求方式');
            $table->integer('order')->default(0)->comment('排序');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('admin_permissions');
    }
}
