<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserBikeOperate extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_bike_operates', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->string('name');
            $table->tinyInteger('type')->default(0)->comment('类型');
            $table->string('bike_no', 30)->comment('车的编号');
            $table->double('latitude', 10, 7)->nullable()->comment('维度');
            $table->double('longitude', 10, 7)->nullable()->comment('经度');
            $table->bigInteger('user_id')->default(0)->comment('用户id');
            $table->tinyInteger('status')->default(1);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_bike_operates');
    }
}
